require 'facets/core/module/wrap_method'
class Module
  private
  alias_method( :wrap, :wrap_method )
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCModule < Test::Unit::TestCase

    def fixture_method; "A"; end

    wrap( :fixture_method ) { |old| old.call + "B" }

    def test_wrap
      assert_equal( "AB", fixture_method )
    end

  end

=end
